;;; undercover-autoloads.el --- automatically extracted autoloads (do not edit)   -*- lexical-binding: t -*-
;; Generated by the `loaddefs-generate' function.

;; This file is part of GNU Emacs.

;;; Code:

(add-to-list 'load-path (or (and load-file-name (directory-file-name (file-name-directory load-file-name))) (car load-path)))



;;; Generated autoloads from undercover.el

(autoload 'undercover "undercover" "\
Enable test coverage for files using CONFIGURATION.

If undercover.el is not enabled, do nothing.  Otherwise,
configure undercover.el using CONFIGURATION, and queue generating
and saving/uploading a coverage report before Emacs exits.

Undercover is enabled if any of the following is true:

- Emacs is detected to be running under a CI service.
- `undercover-force-coverage' is non-nil.
- The \"UNDERCOVER_FORCE\" environment variable exists in Emacs'
  environment.

Each item of CONFIGURATION can be one of the following:

STRING                  Indicates a wildcard of Emacs Lisp files
                        to include in the coverage.  These are
                        globbed using `file-expand-wildcards'.
                        Examples: \"*.el\" \"subdir/*.el\"

(:exclude STRING)       Indicates a wildcard of Emacs Lisp files
                        to exclude from the coverage.
                        Example: (:exclude \"exclude-*.el\")

(:files STRING...)      Indicates a list of Emacs Lisp files to
                        include in the coverage.  These are
                        interpreted verbatim and are not globbed.

(:verbosity NUMBER)     Controls how detailed undercover.el
                        should be in reporting what it's doing
                        using messages, as a number from 0 (no
                        messages, fatal errors only) to 10 (all
                        messages).  The default is 5.

(:report-file STRING)   Sets the path of the file where the
                        coverage report will be written to.

(:report-on-kill BOOLEXP)  Sets whether to queue generating and
                        saving/uploading a repot before Emacs
                        exits.  Enabled by default.

                        If disabled, this can still be done by
                        calling `undercover-report-on-kill'.

(:send-report BOOLEXP)  Sets whether to upload the report to the
                        detected/configured coverage service
                        after generating it.  Enabled by default.

(:merge-report BOOLEXP) If possible, merge collected coverage
                        data into any existing coverage report
                        file.  Enabled by default.  If disabled,
                        undercover.el will always overwrite files
                        when saving reports.

(:report-format SYMBOL) Sets the report target (file format or
                        coverage service), i.e., what to do with
                        the collected coverage information.


Currently supported values for :report-format are:

nil          Detect an appropriate service automatically.

'text        Save or display the coverage information as a simple
             text report.

'coveralls   Upload the coverage information to coveralls.io.

'codecov     Save the coverage information in a format compatible
             with the CodeCov upload script
             (https://codecov.io/bash).

             Because CodeCov natively understands Coveralls'
             report format, all this does (compared to
             'coveralls) is configure the default save path to a
             location that the upload script will look for.

             Uploading from within Undercover is currently not
             supported, and will raise an error.

'lcov        Save the coverage information in the format used by
             GCOV / LCOV / geninfo.

'simplecov   Save the coverage information as a SimpleCov
             .resultset.json file.


Example invocation:

(undercover \"*.el\"
            \"subdir/*.el\"
            (:exclude \"exclude-*.el\")
            (:report-format 'text)
            (:report-file \"coverage.txt\"))

Options may also be specified via the environment variable
\"UNDERCOVER_CONFIG\", which should be formatted as a literal
Emacs Lisp list consisting of items as defined above.
Configuration options in \"UNDERCOVER_CONFIG\" override those in
CONFIGURATION.

If no CONFIGURATION is specified (either as an argument, or via
the environment variable), the default configuration '(\"*.el\")
is used.

(fn &rest CONFIGURATION)" nil t)
(register-definition-prefixes "undercover" '("undercover-"))

;;; End of scraped data

(provide 'undercover-autoloads)

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; no-native-compile: t
;; coding: utf-8-emacs-unix
;; End:

;;; undercover-autoloads.el ends here
